Update player score on leaderboard
curl --request POST \
--url https://api.engagefabric.com/leaderboards/{id}/scores \
--header 'Content-Type: application/json' \
--data '
{
"playerId": "player-uuid",
"externalUserId": "user-123",
"score": 1000,
"operation": "set",
"displayName": "John Doe",
"avatarUrl": "https://cdn.example.com/avatars/user-123.png",
"metadata": {
"achievementId": "first-win"
}
}
'import requests
url = "https://api.engagefabric.com/leaderboards/{id}/scores"
payload = {
"playerId": "player-uuid",
"externalUserId": "user-123",
"score": 1000,
"operation": "set",
"displayName": "John Doe",
"avatarUrl": "https://cdn.example.com/avatars/user-123.png",
"metadata": { "achievementId": "first-win" }
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
playerId: 'player-uuid',
externalUserId: 'user-123',
score: 1000,
operation: 'set',
displayName: 'John Doe',
avatarUrl: 'https://cdn.example.com/avatars/user-123.png',
metadata: {achievementId: 'first-win'}
})
};
fetch('https://api.engagefabric.com/leaderboards/{id}/scores', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Leaderboards
Update player score on leaderboard
POST
/
leaderboards
/
{id}
/
scores
Update player score on leaderboard
Path Parameters
Leaderboard ID
Body
application/json
Player ID
Example:
"player-uuid"
External user ID from client system
Example:
"user-123"
Score value
Example:
1000
Operation type: set absolute value or increment
Available options:
set, increment Player display name (for caching)
Example:
"John Doe"
Player avatar URL (for caching)
Example:
"https://cdn.example.com/avatars/user-123.png"
Additional metadata
Example:
{ "achievementId": "first-win" }
Response
Score updated successfully
⌘I
